Skip to main content
POST
Create

Authorizations

Authorization
string
header
required

A personal API key (adside_pat_…) or a token from adside login. Either carries the permissions of the person it belongs to.

Path Parameters

workspaceId
string
required
Minimum string length: 1

Body

application/json
name
string
required
Required string length: 1 - 80
kind
enum<string>
required
Available options:
ai_person,
real_person,
mascot
references
string[]
required
Required array length: 1 - 8 elements
Required string length: 1 - 64
handle
string
Required string length: 2 - 40
Pattern: ^[a-z0-9]+(?:-[a-z0-9]+)*$
identityNotes
string
Required string length: 1 - 400
voiceId
string
Required string length: 1 - 60

Response

201 - application/json

Success

character
object
required